###  | #  |

Public Types | List of all members
color_converted_view_type< any_image_view< Views... >, DstP, CC > Struct Template Reference
Image View » Algorithms and Utility Functions » Image View Transformations » color_converted_view

Returns the type of a runtime-specified view, color-converted to a given pixel type with user specified color converter. More...

`#include <image_view_factory.hpp>`

## Public Types
using | type = typename detail::views_get_ccv_type< any_image_view< Views... >, DstP, CC >::type

## Detailed Description

template<typename ... Views, typename DstP, typename CC>
struct boost::gil::color_converted_view_type< any_image_view< Views... >, DstP, CC >

Returns the type of a runtime-specified view, color-converted to a given pixel type with user specified color converter.

The documentation for this struct was generated from the following file:

- extension/dynamic_image/image_view_factory.hpp